curl "https://api.ionq.co/v0.4/backends/qpu.aria-1"import requests
url = "https://api.ionq.co/v0.4/backends/{backend}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionq.co/v0.4/backends/{backend}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"average_queue_time": 1181215,
"backend": "qpu.forte-1",
"last_updated": "2025-06-16T00:00:00Z",
"qubits": 25,
"status": "<string>",
"characterization_id": "617a1f8b-59d4-435d-aa33-695433d7155e",
"degraded": true,
"kw": 4902.81,
"location": "College Park, MD, USA",
"supported_error_mitigations": [
"debiasing"
],
"supported_gates": [
"x",
"y",
"z",
"h",
"s",
"si",
"t",
"ti",
"v",
"vi",
"rx",
"ry",
"rz",
"cnot",
"swap",
"xx",
"yy",
"zz",
"not"
],
"supported_native_gates": [
"gpi",
"gpi2",
"ms"
]
}Get a backend
Retrieve detailed information about a specific backend.
curl "https://api.ionq.co/v0.4/backends/qpu.aria-1"import requests
url = "https://api.ionq.co/v0.4/backends/{backend}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionq.co/v0.4/backends/{backend}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"average_queue_time": 1181215,
"backend": "qpu.forte-1",
"last_updated": "2025-06-16T00:00:00Z",
"qubits": 25,
"status": "<string>",
"characterization_id": "617a1f8b-59d4-435d-aa33-695433d7155e",
"degraded": true,
"kw": 4902.81,
"location": "College Park, MD, USA",
"supported_error_mitigations": [
"debiasing"
],
"supported_gates": [
"x",
"y",
"z",
"h",
"s",
"si",
"t",
"ti",
"v",
"vi",
"rx",
"ry",
"rz",
"cnot",
"swap",
"xx",
"yy",
"zz",
"not"
],
"supported_native_gates": [
"gpi",
"gpi2",
"ms"
]
}Path Parameters
A backend where jobs can run on.
qpu.forte-1, qpu.forte-enterprise-1 Response
Successfully retrieved backend.
A backend that you can target your program to run on.
Current wait time on the queue for execution.
1181215
Specifies target hardware and generation where applies: simulator, qpu.forte-1, qpu.forte-enterprise-1
"qpu.forte-1"
Last date time the backend status was updated.
"2025-06-16T00:00:00Z"
The number of qubits available.
x >= 025
Current status of the backend: available, unavailable, retired.
Current characterization ID for this backend
"617a1f8b-59d4-435d-aa33-695433d7155e"
Flag to tell if the backend is degraded or not.
The amount of energy used by the backend in kilowatt-hours.
4902.81
The location of the backend.
"College Park, MD, USA"
Error mitigation options supported by the backend.
["debiasing"]
Gates supported by the backend.
[
"x",
"y",
"z",
"h",
"s",
"si",
"t",
"ti",
"v",
"vi",
"rx",
"ry",
"rz",
"cnot",
"swap",
"xx",
"yy",
"zz",
"not"
]
Native gates supported by the backend.
["gpi", "gpi2", "ms"]
Was this page helpful?

